# $Id: update-ca-certificates.spec 1273 2013-02-05 06:55:34Z rpmbuild $
# repo: RE
# restrictions:

%global pybasever 2.6
%global __python /usr/bin/python%{pybasever}

Name:           update-ca-certificates
Version:        0.2
Release:        %RErelease 4
Summary:        A tool to manage system-wide CA certificates

Group:          Applications/System
License:        GPLv2+
URL:            http://fedorahosted.org/%{name}
#Source0:        http://sspreitzer.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
#18:34:04 ERRORE 403: Forbidden.
#curl: (22) The requested URL returned error: 403
# git clone git://fedorahosted.org/git/update-ca-certificates.git
Source:         update-ca-certificates-%{version}-src-git.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       openssl nss-tools
Requires:       python(abi) = %{pybasever}
BuildRequires:  rpm-macros-razorsedge

%description
A tool to manage system-wide x509 Certification Authority certificates
in OpenSSL index directory style and the shared system NSS storage.

%prep
%setup -q
sed -i 's|#!/bin/env python|#!%{__python}|' src/update-ca-certificates


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 src/update-ca-certificates $RPM_BUILD_ROOT%{_sbindir}
install -m 644 update-ca-certificates.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sbindir}/update-ca-certificates
%{_mandir}/man?/*

%changelog
* Mon Feb 04 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.2-4
- Fix for EL5 and EL6.

* Thu Aug 05 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-3
- Substituted cp with install in spec file
- New fedorahosted.org git repo + trac
- changed dir structure, src/update-ca-certificates

* Wed Aug 04 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-2
- fixed relative path issue, thanks to Sandro "red" Mathys
- add license file and changed license shorttag in spec to reflect GPLv2+
- corrected typos, enhanced description, added verbosity

* Tue Aug 03 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.2-1
- Almost complete rewrite of source, many improvements
- add/delete certs
- nss switch
- no config file needed

* Mon Aug 02 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org> 0.1-1
- Initial release
